PATCH
/workers/{id}Update a worker
Country and runtime are immutable.
Send request
Use the documented inputs to call this endpoint directly.
API serverbase URL
Parameters
Values are applied to the request and the example on the right.
idpath · stringrequired
Resource ID.
Request body
application/jsonrequirednamestringoptional
descriptionstringoptional
specsoptional
Responses
200application/json
Updated worker.
{
"status": "success",
"data": {
"id": "65f0c7a9a7d6b4e2c1234567",
"name": "string",
"display_name": "string",
"description": "string",
"worker_runtime": "kubernetes",
"country": "string",
"project_id": "65f0c7a9a7d6b4e2c1234567",
"org_id": "65f0c7a9a7d6b4e2c1234567",
"status": "created",
"specs": {
"max_parallel_jobs": 1
},
"capacity": {},
"agent_image_digest": "string",
"agent_install": {
"agent_namespace": "string",
"job_namespace": "string",
"scratch_storage_class": "string"
},
"agent_update": "current",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z",
"last_seen": "2026-01-01T00:00:00Z"
}
}400application/json
The request body, parameter, filter, cursor, or project-scoping pattern is invalid.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
401application/json
Authentication is missing or the credential is invalid, inactive, expired, or lacks the required scope.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
404application/json
The resource was not found or is outside the caller's project.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
409application/json
The requested change conflicts with the resource's current state or dependencies.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
Powered by heyo